### Class

# Soup Cache

#### Description [src]

    class Soup.Cache : GObject.Object
      implements Soup.SessionFeature {
      /* No available fields */
    }

File-based cache for HTTP resources.

#### Ancestors

- GObject

#### Implements

- SoupSessionFeature

#### Constructors

###### soup_cache_new

Creates a new `SoupCache`.

#### Instance methods

###### soup_cache_clear

Will remove all entries in the `cache` plus all the cache files.

###### soup_cache_dump

Synchronously writes the cache index out to disk.

###### soup_cache_flush

Forces all pending writes in the `cache` to be committed to disk.

###### soup_cache_get_max_size

Gets the maximum size of the cache.

###### soup_cache_load

Loads the contents of `cache`‘s index into memory.

###### soup_cache_set_max_size

Sets the maximum size of the cache.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Soup.Cache:cache-dir

The directory to store the cache files.

###### Soup.Cache:cache-type

Whether the cache is private or shared.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct SoupCacheClass {
      GObjectClass parent_class;
      SoupCacheability (* get_cacheability) (
        SoupCache* cache,
        SoupMessage* msg
      );
      None padding;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`get_cacheability: SoupCacheability (* get_cacheability) ( SoupCache* cache, SoupMessage* msg )`

  No description available.

`padding: None`

  No description available.

#### Virtual methods

###### Soup.CacheClass.get_cacheability

No description available.